Summary:	PPTP Configuration for Xyratex VPN
Name:		pptp-xyratex
Version:	0.4
Release:	1
Vendor:		Paul Howarth <paul@city-fan.org>
License:	GPL
Group:		Applications/Internet
URL:		http://www.city-fan.org/ftp/contrib/drivers/pptp/
BuildArch:	noarch
Source:		%{name}-%{version}.tar.bz2
Requires:	pptp, chkconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is a set of configuration files to make setting up of a VPN
connection to Xyratex (http://www.xyratex.com/) easy. An existing
connection to the Internet is assumed. Once installed, you'll need
to edit /etc/ppp/chap-secrets and /etc/ppp/peers/xyratex to set up
your account details.

Note that if your router's DHCP server allocates addresses in the
10.x.x.x range, or uses a 10.x.x.x address itself, you'll need to
change this to a different RFC1918 range, such as 172.16.x.x or
192.168.x.x because the Xyratex internal network uses the 10.x.x.x
addresses.

%prep
%setup

%build

%install
%{__install} -m 0755 -d ${RPM_BUILD_ROOT}/etc/ppp
%{__install} -m 0755 -d ${RPM_BUILD_ROOT}/etc/ppp/peers
%{__install} -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
%{__install} -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d

%{__install} -m 0600 chap-secrets.xyratex ${RPM_BUILD_ROOT}/etc/ppp/chap-secrets.xyratex
%{__install} -m 0755 initscript           ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/xyratex
%{__install} -m 0644 logrotate            ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/xyratex
%{__install} -m 0644 peers/xyratex        ${RPM_BUILD_ROOT}/etc/ppp/peers/xyratex
%{__install} -m 0755 ip-up.xyratex        ${RPM_BUILD_ROOT}/etc/ppp/ip-up.xyratex
%{__install} -m 0755 ip-down.xyratex      ${RPM_BUILD_ROOT}/etc/ppp/ip-down.xyratex

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -n "${RPM_BUILD_ROOT}" ] && %{__rm} -rf "${RPM_BUILD_ROOT}"

%post
#chkconfig --add xyratex

# Make sure ip-up.xyratex and ip-down.xyratex are called
[ ! -f /etc/ppp/ip-up.local ] &&
	touch /etc/ppp/ip-up.local &&
	chmod 755 /etc/ppp/ip-up.local
[ ! -f /etc/ppp/ip-down.local ] &&
	touch /etc/ppp/ip-down.local &&
	chmod 755 /etc/ppp/ip-down.local
fgrep --silent ip-up.xyratex /etc/ppp/ip-up.local ||
	echo '[ -x /etc/ppp/ip-up.xyratex ] &&
	/etc/ppp/ip-up.xyratex "$@"' >> /etc/ppp/ip-up.local
fgrep --silent ip-down.xyratex /etc/ppp/ip-down.local ||
	echo '[ -x /etc/ppp/ip-down.xyratex ] &&
	/etc/ppp/ip-down.xyratex "$@"' >> /etc/ppp/ip-down.local
exit 0

%preun
chkconfig --del xyratex

%files
%defattr(-,root,root)
%config 		%{_sysconfdir}/rc.d/init.d/xyratex
%config(noreplace)	/etc/ppp/peers/xyratex
%config(noreplace)	/etc/ppp/ip-up.xyratex
%config(noreplace)	/etc/ppp/ip-down.xyratex
/etc/ppp/chap-secrets.xyratex
%{_sysconfdir}/logrotate.d/xyratex
%doc COPYING HOWTO

%changelog
* Tue May 10 2005 Paul Howarth <paul@city-fan.org> 0.4-1
- Change pptp-linux dependency to pptp
- Check that connection is established properly in initscript

* Tue Nov 16 2004 Paul Howarth <paul@city-fan.org> 0.3-2
- Tidy up spec file
- Hardcode references to /etc/ppp because the official Fedora ppp
  packages do
- Remove dependency on kernel-mppe; this will probably be part of the
  mainline kernel before much longer and it's already causing problems
  for dkms-built modules that don't provide kernel-mppe in the package

* Tue Feb 10 2004 Paul Howarth <paul@city-fan.org> 0.3-1
- Added HOWTO document

* Fri Jan 30 2004 Paul Howarth <paul@city-fan.org> 0.2-1
- Permission problem with /etc/resolv.conf fixed

* Wed Jan 28 2004 Paul Howarth <paul@city-fan.org> 0.1-1
- Initial release
